# Server\_package

## Get list server flavors

> List all available bare metal flavors in the specified VPC and region

```json
{"openapi":"3.0.1","info":{"title":"Default module","version":"1.0.0"},"tags":[{"name":"server_package"}],"security":[{"bearerAuth":["bearer"]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}}},"paths":{"/api/v2/vmware/vpc/<uuid(strict=False):vpc_id>/hpc/server_package":{"get":{"summary":"Get list server flavors","deprecated":false,"description":"List all available bare metal flavors in the specified VPC and region","tags":["server_package"],"parameters":[{"name":"vpc_id","in":"path","description":"The unique identifier of the VPC.","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"List all server types","content":{"application/json":{"schema":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string","description":"Unique identifier (UID) for the server flavor."},"name":{"type":"string","description":"Name of the server flavor."},"limit":{"type":"number","description":"Maximum number of servers the user can deploy by a flavor."},"raids":{"type":"array","description":"RAID configurations for the server flavor.","items":{"type":"object","properties":{"level":{"type":"number","description":"RAID level"},"name":{"type":"string","description":"RAID configuration name"},"description":{"type":"string","description":"Details about the RAID configuration"}}}},"hardware":{"type":"object","description":"Hardware specifications of a flavor.","properties":{"cpu":{"type":"string","description":"Description of the CPU"},"gpu":{"type":"string","description":"Description of the GPU"},"storage":{"type":"string","description":"Storage configuration"},"network":{"type":"string","description":"Network configuration"}}},"batchNumber":{"type":"number","description":"Maximum number of server deployments allowed in a single batch"}}}}}},"headers":{}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://ai-docs.fptcloud.com/api-reference/ai-infrastructure/metal-cloud/server_package.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
